## HTTPClient
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              HTTPClient.ParseException

All Implemented Interfaces:
  Serializable

public class ParseException
extends Exception

Signals that something went wrong while parsing data. Usually means the input data was invalid.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ParseException()` Constructs an ParseException with no detail message.
`ParseException(String s)` Constructs an ParseException class with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException()

  Constructs an ParseException with no detail message. A detail message is a String that describes this particular exception.

### ParseException

    public ParseException(String s)

  Constructs an ParseException class with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `s` - the String containing a detail message